function [ val ] = fct_Gp_hat_mp( p, x )
%FCT_GP_HAT_MP Computes values of Fourier coefficients of G_p^d in multiple precision.

freq_min = min(min(x));
freq_max = max(max(x));

values_1d = fct_gp_hat_1d_mp(p,(freq_min:freq_max)');

val = values_1d(x(:,1)-freq_min+1);
for t=2:size(x,2)
  val = val .* values_1d(x(:,t)-freq_min+1);
end

% val = prod(fct_gp_hat_1d_mp(p,x), 2);

end

